
   ON HEADCLICK { { || HeadLeft( F_NAME ) },;
                  { || HeadLeft( F_SIZE ) },;
                  { || HeadLeft( F_DATE ) },;
                  { || HeadLeft( F_TIME ) },;
                  { || HeadLeft(F_ATTR ) } } ;

   DEFINE TAB Tab_Left ;
              OF WinLeft ;
              ON CHANGE Tab_Change_Left()


   DEFINE TAB Tab_Right ;
              OF WinRight ;
              ON CHANGE Tab_Change_Right()


STATIC PROCEDURE HeadLeft( nSort )
   Paint_Tab_Window( 1 )
STATIC PROCEDURE HeadRight( nSort )
   Paint_Tab_Window( 2 )

STATIC PROCEDURE Tab_Change_Left()
   Paint_Tab_Window( 1 )
STATIC PROCEDURE Tab_Change_Right()
   Paint_Tab_Window( 2 )


STATIC FUNCTION Paint_Tab_Window( nNo )
LOCAL hWnd
LOCAL nOffSet := 0
LOCAL nheight := 0
LOCAL aRect
LOCAL i, iMax

   IF nNo = 1
      hWnd := WinLeft.Tab_Left.handle
      iMax := LEN( Stack_Left )
   ELSE
      hWnd := WinRight.Tab_Right.handle
      iMax := LEN( Stack_Right )
   ENDIF

   FOR i := 1 TO iMax
      aRect := TABCTRL_GETITEMRECT( hWnd, i-1 )
      nOffSet += aRect[ 3 ] - aRect[ 1 ]
      nheight := aRect[ 4 ] - aRect[ 2 ]
   NEXT

   IF iMax = 1
       msginfo(VAR2CHAR(nOffSet))
   ENDIF

   PAINTTAB( hWnd, SP_nColor1(), nOffSet, nheight )

RETURN NIL

FUNCTION SP_nColor1( xValue )                                         // Background (Skin) Color
RETURN { 8,8,8 }

FUNCTION VAR2CHAR( cIn )
LOCAL cOut := hb_valToExp( cIn )
RETURN STRTRAN( cOut, '"', '' )


#pragma BEGINDUMP

#include "windows.h"
#include "hbapi.h"
#include "hbapiitm.h"
#include "commctrl.h"
#include "commoncontrols.h"

HB_FUNC( PAINTTAB )
{
    HWND hwnd;
    HBRUSH brush;
    RECT recClie;
    HDC hdc;
    UINT  nOffSet;
    UINT  nheight;

    hwnd  = (HWND) hb_parnl (1);
    hdc   = GetDC (hwnd);
    nOffSet = hb_parnl (3);
    nheight = hb_parnl (4);

    GetClientRect(hwnd, &recClie);
    recClie.left  += nOffSet;
    recClie.bottom = nheight;

    if ((hb_pcount() > 1) && (!HB_ISNIL(2)))
    { brush = CreateSolidBrush( RGB(hb_parvni(2, 1),
                                    hb_parvni(2, 2),
                                    hb_parvni(2, 3)) );
      SetBkMode( hdc, 1 );
      SelectObject( hdc, brush);
      FillRect(hdc, &recClie, brush);
      DeleteObject(brush);
    }
    else
    { brush = (HBRUSH)( COLOR_BTNFACE + 1 );
      FillRect(hdc, &recClie, brush);
    }

    ReleaseDC(hwnd, hdc);
}

#pragma ENDDUMP
